Bug 1228978 - [abrt] cinnamon: g_type_check_instance_cast(): python2.7 killed by SIGSEGV
Summary: [abrt] cinnamon: g_type_check_instance_cast(): python2.7 killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: opencv
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:41cc006428fa0f080dd1604950a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-07 09:25 UTC by Dmitry Dyachenko
Modified: 2015-07-30 01:10 UTC (History)
7 users (show)

Fixed In Version: opencv-2.4.11-5.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-30 01:10:42 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (81.88 KB, text/plain)
2015-06-07 09:25 UTC, Dmitry Dyachenko
no flags Details
File: cgroup (190 bytes, text/plain)
2015-06-07 09:25 UTC, Dmitry Dyachenko
no flags Details
File: core_backtrace (20.01 KB, text/plain)
2015-06-07 09:25 UTC, Dmitry Dyachenko
no flags Details
File: dso_list (28.37 KB, text/plain)
2015-06-07 09:25 UTC, Dmitry Dyachenko
no flags Details
File: environ (1.73 KB, text/plain)
2015-06-07 09:25 UTC, Dmitry Dyachenko
no flags Details
File: limits (1.29 KB, text/plain)
2015-06-07 09:26 UTC, Dmitry Dyachenko
no flags Details
File: maps (126.48 KB, text/plain)
2015-06-07 09:26 UTC, Dmitry Dyachenko
no flags Details
File: mountinfo (3.14 KB, text/plain)
2015-06-07 09:26 UTC, Dmitry Dyachenko
no flags Details
File: namespaces (85 bytes, text/plain)
2015-06-07 09:26 UTC, Dmitry Dyachenko
no flags Details
File: open_fds (2.14 KB, text/plain)
2015-06-07 09:26 UTC, Dmitry Dyachenko
no flags Details
File: proc_pid_status (954 bytes, text/plain)
2015-06-07 09:26 UTC, Dmitry Dyachenko
no flags Details

Description Dmitry Dyachenko 2015-06-07 09:25:19 UTC
Description of problem:
after update
-- login Window OK
-- background OK
-- lang/time preferences OK
-- there are empty Menu and no apps shortcuts

After hit 'Account details' cinnamon crash and
-- Menu again present
-- shortcats again here

Version-Release number of selected component:
cinnamon-2.6.6-1.fc22

Additional info:
reporter:       libreport-2.5.1
backtrace_rating: 4
cmdline:        python2 /usr/lib/cinnamon-settings/cinnamon-settings.py
crash_function: g_type_check_instance_cast
executable:     /usr/bin/python2.7
global_pid:     2017
kernel:         4.0.4-303.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: [System Logs]:\n-- Logs begin at Вт 2015-02-10 16:01:04 MSK, end at Вс 2015-06-07 12:14:04 MSK. --

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_cast at gtype.c:4055
 #1 CvCapture_GStreamer::close at /usr/src/debug/opencv-2.4.9/modules/highgui/src/cap_gstreamer.cpp:189
 #2 ~CvCapture_GStreamer at /usr/src/debug/opencv-2.4.9/modules/highgui/src/cap_gstreamer.cpp:120
 #3 CvCapture_GStreamer::~CvCapture_GStreamer at /usr/src/debug/opencv-2.4.9/modules/highgui/src/cap_gstreamer.cpp:120
 #4 cvReleaseCapture at /usr/src/debug/opencv-2.4.9/modules/highgui/src/cap.cpp:66
 #5 Capture_dealloc at /usr/src/debug/opencv-2.4.9/build/modules/python/generated3.i:179
 #6 frame_dealloc at /usr/src/debug/Python-2.7.9/Objects/frameobject.c:460
 #7 fast_function at /usr/src/debug/Python-2.7.9/Python/ceval.c:4198
 #8 call_function at /usr/src/debug/Python-2.7.9/Python/ceval.c:4131
 #9 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.9/Python/ceval.c:2753

Comment 1 Dmitry Dyachenko 2015-06-07 09:25:32 UTC
Created attachment 1035827 [details]
File: backtrace

Comment 2 Dmitry Dyachenko 2015-06-07 09:25:38 UTC
Created attachment 1035828 [details]
File: cgroup

Comment 3 Dmitry Dyachenko 2015-06-07 09:25:44 UTC
Created attachment 1035829 [details]
File: core_backtrace

Comment 4 Dmitry Dyachenko 2015-06-07 09:25:50 UTC
Created attachment 1035830 [details]
File: dso_list

Comment 5 Dmitry Dyachenko 2015-06-07 09:25:56 UTC
Created attachment 1035831 [details]
File: environ

Comment 6 Dmitry Dyachenko 2015-06-07 09:26:02 UTC
Created attachment 1035832 [details]
File: limits

Comment 7 Dmitry Dyachenko 2015-06-07 09:26:09 UTC
Created attachment 1035833 [details]
File: maps

Comment 8 Dmitry Dyachenko 2015-06-07 09:26:15 UTC
Created attachment 1035834 [details]
File: mountinfo

Comment 9 Dmitry Dyachenko 2015-06-07 09:26:21 UTC
Created attachment 1035835 [details]
File: namespaces

Comment 10 Dmitry Dyachenko 2015-06-07 09:26:27 UTC
Created attachment 1035836 [details]
File: open_fds

Comment 11 Dmitry Dyachenko 2015-06-07 09:26:33 UTC
Created attachment 1035837 [details]
File: proc_pid_status

Comment 12 Fedora Update System 2015-06-26 01:38:43 UTC
opencv-2.4.11-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/opencv-2.4.11-3.fc22

Comment 13 Fedora Update System 2015-06-26 20:32:00 UTC
Package opencv-2.4.11-3.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing opencv-2.4.11-3.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10787/opencv-2.4.11-3.fc22
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2015-07-06 14:36:18 UTC
opencv-2.4.11-4.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/opencv-2.4.11-4.fc22

Comment 15 Fedora Update System 2015-07-15 04:38:39 UTC
opencv-2.4.11-5.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/opencv-2.4.11-5.fc22

Comment 16 Fedora Update System 2015-07-30 01:10:42 UTC
opencv-2.4.11-5.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.